Bug 143340 - blas library is missing functions
Summary: blas library is missing functions
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lapack   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-19 17:04 UTC by Simon Perreault
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: blas-3.0-35.fc5.i386.rpm
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 10:56:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Simon Perreault 2004-12-19 17:04:19 UTC
The BLAS library (blas package) that is built out of the lapack
package contains 142 functions. The source of the BLAS comes from the
LAPACK package. There exists an official standalone package for BLAS
which includes 8 more functions. These functions are expected to be
present in the blas library when using it.

What should be done: Separate the blas package from the lapack
package. The blas package should get its source from the official
http://www.netlib.org/blas/blas.tgz.

Look at my separated packages for examples:
http://nomis80.org/rpms/blas-3.0-25.nom1.src.rpm
http://nomis80.org/rpms/lapack-3.0-25.nom1.src.rpm

Comment 1 Pawel Salek 2005-01-28 11:15:04 UTC
What are these extra 8 functions?

Comment 2 Simon Perreault 2005-01-29 16:58:35 UTC
CSROT 
DROTM 
DROTMG 
DSDOT 
SDSDOT 
SROTM 
SROTMG 
ZDROT 

Comment 3 Ivana Varekova 2006-01-24 10:56:26 UTC
This is fixed in the last devel version.


Note You need to log in before you can comment on or make changes to this bug.